<template>
  <b-card
    v-if="tableData"
    no-body
    class="card-company-table"
  >
    <b-table
      :items="activities"
      responsive
      :fields="fields"
      sticky-header
      class="mb-0"
      show-empty
      empty-text="No se encontraron actividades"
    >

    <template #cell(manager)="data">

            <b-avatar
              v-if="data.item.user_manager.image"
              class="mr-1" 
              size="lg"
              :src="baseURL+data.item.user_manager.image"
            />
            <b-avatar
              v-else
              class="mr-1" 
              size="lg"
      
            />
            {{ data.item.user_manager.name }} {{data.item.user_manager.last_name}}
      
        </template>

    <template #cell(percentage_advance)="data">
        <b-progress
          :value="data.item.percentage_advance"
          max="100"
          height="7px"
          :variant="percentageVariant(data.item.percentage_advance)"
          striped
        />
        {{data.item.percentage_advance}}%
      </template>

      <template #cell(status)="data">
        <b-badge
          pill
          :variant="statusVariant(data.value.id)"
        >
          {{ data.value.name }}
        </b-badge>
      </template>


        <template #cell(actions)="data">
       
            <b-button  :to="{ name: 'apps-project-activities-view', params: { activitie: data.item.id,id: data.item.project_id } }" variant="outline"><feather-icon icon="EyeIcon" /></b-button>
   
        </template>
      
    </b-table>
  </b-card>
</template>

<script>
import {  BCard,BTable,BImg, BProgress, BBadge,BDropdown, BDropdownItem, BAvatar, BButton,BRow, BCol, BFormInput,} from 'bootstrap-vue'

export default {
  components: {
    BCard,
    BTable,
    BAvatar,
    BImg,
    BProgress, 
    BBadge,
    BDropdown, 
    BDropdownItem, 
    BAvatar, 
    BButton,
    BRow, 
    BCol, 
  },
  props: {
    tableData: {
      type: Array,
      default: () => [],
    },
  },

  data() {
    return {
      fields: [
        { key: 'name', label: 'ACTIVIDAD' },
        { key: 'manager', label: 'ENCARGADO' },
        { key: 'status', label: 'STATUS' },
        { key: 'percentage_advance', label: 'PROGRESO' },
        { key: 'actions', label: 'ACCIONES' },
      ],
      activities:[],
      baseURL:'http://quantumdaily-back.test/storage/',
    }
  },
  methods:{
    getActivities(){
      this.$http.get('dashboard/admin/activities').then(res=>{
        this.activities = res.data.activities
      }).catch(err=>{
        console.log(err)
      })
    },
    statusVariant(status){
      if(status === 1){
        return 'secondary'
      }else if(status === 2){
        return 'info'
      }else if(status === 3){
        return 'success'
      }else if(status === 4){
        return 'warning'
      }else if(status === 5){
        return 'primary'
      }
    },
    percentageVariant(percentage){
      if(percentage <= 30){
        return 'primary'
      }else if(percentage > 30 && percentage <= 70){
        return 'warning'
      }else if(percentage > 70 && percentage < 100){
        return 'info'
      }else if(percentage === 100){
        return 'success'
      }
    },
  },
  mounted(){
    this.getActivities()
  }
}
</script>

<style lang="scss" scoped>
@import '~@core/scss/base/bootstrap-extended/include';
@import '~@core/scss/base/components/variables-dark';

.card-company-table ::v-deep td .b-avatar.badge-light-company {
  .dark-layout & {
    background: $theme-dark-body-bg !important;
  }
}

</style>
